[PC-BSD Commits] r14057 - in pcbsd/current/build-files/base-ports: . VMwareGuest

svn at pcbsd.org svn at pcbsd.org
Tue Nov 29 06:37:48 PST 2011


Author: kris
Date: 2011-11-29 06:37:48 -0800 (Tue, 29 Nov 2011)
New Revision: 14057

Added:
   pcbsd/current/build-files/base-ports/VMwareGuest/
Modified:
   pcbsd/current/build-files/base-ports/VMwareGuest/pkg-desc
   pcbsd/current/build-files/base-ports/VMwareGuest/pkg-icon.png
   pcbsd/current/build-files/base-ports/VMwareGuest/ports-list
   pcbsd/current/build-files/base-ports/VMwareGuest/post-install.sh
   pcbsd/current/build-files/base-ports/VMwareGuest/post-remove.sh
Log:

Add VMwareGuest meta-pkg which installs open-vm toolset for VMware guests




Modified: pcbsd/current/build-files/base-ports/VMwareGuest/pkg-desc
===================================================================
--- pcbsd/current/build-files/base-ports/VirtualBoxGuest/pkg-desc	2011-11-28 14:33:43 UTC (rev 14038)
+++ pcbsd/current/build-files/base-ports/VMwareGuest/pkg-desc	2011-11-29 14:37:48 UTC (rev 14057)
@@ -1 +1 @@
-The VirtualBox OSE additions packages
+The Open Virtual Machine Tools for VMware guests

Modified: pcbsd/current/build-files/base-ports/VMwareGuest/pkg-icon.png
===================================================================
(Binary files differ)

Modified: pcbsd/current/build-files/base-ports/VMwareGuest/ports-list
===================================================================
--- pcbsd/current/build-files/base-ports/VirtualBoxGuest/ports-list	2011-11-28 14:33:43 UTC (rev 14038)
+++ pcbsd/current/build-files/base-ports/VMwareGuest/ports-list	2011-11-29 14:37:48 UTC (rev 14057)
@@ -1 +1 @@
-/usr/ports/emulators/virtualbox-ose-additions
+/usr/ports/emulators/open-vm-tools

Modified: pcbsd/current/build-files/base-ports/VMwareGuest/post-install.sh
===================================================================
--- pcbsd/current/build-files/base-ports/VirtualBoxGuest/post-install.sh	2011-11-28 14:33:43 UTC (rev 14038)
+++ pcbsd/current/build-files/base-ports/VMwareGuest/post-install.sh	2011-11-29 14:37:48 UTC (rev 14057)
@@ -1,11 +1,23 @@
 #!/bin/sh
 
-# Enable loading the vboxguest binary driver
-grep '^vboxguest_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
+# Enable loading the driver
+grep '^vmware_guest_vmblock_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
 if [ $? -ne 0 ] ; then
-	echo 'vboxguest_enable="YES"' >>/etc/rc.conf
+	echo 'vmware_guest_vmblock_enable="YES"' >>/etc/rc.conf
 fi
-grep '^vboxservice_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
+grep '^vmware_guest_vmhgfs_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
 if [ $? -ne 0 ] ; then
-	echo 'vboxservice_enable="YES"' >>/etc/rc.conf
+	echo 'vmware_guest_vmhgfs_enable="YES"' >>/etc/rc.conf
 fi
+grep '^vmware_guest_vmmemctl_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
+if [ $? -ne 0 ] ; then
+	echo 'vmware_guest_vmmemctl_enable="YES"' >>/etc/rc.conf
+fi
+grep '^vmware_guest_vmxnet_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
+if [ $? -ne 0 ] ; then
+	echo 'vmware_guest_vmxnet_enable="YES"' >>/etc/rc.conf
+fi
+grep '^vmware_guestd_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
+if [ $? -ne 0 ] ; then
+	echo 'vmware_guestd_enable="YES"' >>/etc/rc.conf
+fi

Modified: pcbsd/current/build-files/base-ports/VMwareGuest/post-remove.sh
===================================================================
--- pcbsd/current/build-files/base-ports/VirtualBoxGuest/post-remove.sh	2011-11-28 14:33:43 UTC (rev 14038)
+++ pcbsd/current/build-files/base-ports/VMwareGuest/post-remove.sh	2011-11-29 14:37:48 UTC (rev 14057)
@@ -1,11 +1,23 @@
 #!/bin/sh
 
-# Enable loading the vboxguest binary driver
-grep '^vboxguest_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
+# Enable unloading the drivers
+grep '^vmware_guest_vmblock_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
 if [ $? -eq 0 ] ; then
-	sed -i .bak '/vboxguest_enable="YES"/d' /etc/rc.conf
+	sed -i .bak '/vmware_guest_vmblock_enable="YES"/d' /etc/rc.conf
 fi
-grep '^vboxservice_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
+grep '^vmware_guest_vmhgfs_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
 if [ $? -eq 0 ] ; then
-	sed -i .bak '/vboxservice_enable="YES"/d' /etc/rc.conf
+	sed -i .bak '/vmware_guest_vmhgfs_enable="YES"/d' /etc/rc.conf
 fi
+grep '^vmware_guest_vmmemctl_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
+if [ $? -eq 0 ] ; then
+	sed -i .bak '/vmware_guest_vmmemctl_enable="YES"/d' /etc/rc.conf
+fi
+grep '^vmware_guest_vmxnet_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
+if [ $? -eq 0 ] ; then
+	sed -i .bak '/vmware_guest_vmxnet_enable="YES"/d' /etc/rc.conf
+fi
+grep '^vmware_guestd_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
+if [ $? -eq 0 ] ; then
+	sed -i .bak '/vmware_guestd_enable="YES"/d' /etc/rc.conf
+fi



More information about the Commits mailing list